## peony-extensions 1.1.2

=== peony-admin/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(PeonyAdmin NONE)
find_package(Gettext REQUIRED)

# Configurable paths
set(PKEXEC_PATH "/usr/bin/pkexec" CACHE FILEPATH "pkexec program path.")
set(PEONY_PATH "/usr/bin/peony" CACHE FILEPATH "peony program path.")
set(PLUMA_PATH "/usr/bin/pluma" CACHE FILEPATH "pluma program path.")
set(TERMINAL_PATH "/usr/bin/mate-terminal" CACHE FILEPATH "mate-terminal program path.")

# Configure files
configure_file(extension/peony-admin.py.in
               extension/peony-admin.py)
configure_file(polkit/org.freedesktop.peony-admin.policy.in
               polkit/org.freedesktop.peony-admin.policy)

# Update and compile the translations
gettext_create_translations(po/peony-admin.pot ALL
	po/ar.po
	po/de.po
	po/es.po
	po/fr.po
	po/it.po
	po/lt.po
	po/pl.po
	po/pt.po
	po/ru.po
	po/sk.po
	po/zh_CN.po)

# Install target
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/polkit/org.freedesktop.peony-admin.policy"
        DESTINATION /usr/share/polkit-1/actions)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/extension/peony-admin.py"
        DESTINATION /usr/share/peony-python/extensions)

# Uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND}
                  -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake)

## peony-extensions 1.1.1

=== debian/changelog ===
peony-extensions (1.1.1-0ubuntu2) bionic; urgency=medium

  * Drop peony-gksu (with handsome_feng's approval). gksu is being removed
    from Ubuntu (LP: #1764201)
  * Use dh_installdocs instead of dh_installchangelogs since
    dh_installchangelogs doesn't operate in Ubuntu
  * Drop explicit --parallel since it's the default in newer dh compat levels

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 18 Apr 2018 08:29:16 -0400

peony-extensions (1.1.1-0ubuntu1) bionic; urgency=medium

  * Initial release. (LP: #1740465)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 30 Jan 2018 09:14:41 +0800

=== debian/control ===
Source: peony-extensions
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kylin team <ukui@kylinos.cn>
Uploaders: liu peng <liupeng@kylinos.cn>,
           handsome_feng <jianfengli@ubuntukylin.com>,
Build-Depends: debhelper (>= 11),
               dpkg-dev (>= 1.16.1.1),
               gettext,
               intltool,
               libpeony-extension-dev (>= 1.0.4),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libdconf-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libjson-glib-dev,
               libmagic-dev,
               libgupnp-1.0-dev,
               libmate-desktop-dev (>= 1.18),
               libstartup-notification0-dev,
               mate-common (>= 1.18),
               pkg-config,
               yelp-tools,
Standards-Version: 4.1.3
Homepage: http://www.ukui.org/

Package: peony-image-converter
Architecture: any
Depends: peony-extensions-common (= ${source:Version}),
         imagemagick,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Peony extension to mass resize or rotate images
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 This package adds a "Resize Images..." menu item to the context menu of
 all images. This opens a dialog where you set the desired image size
 and file name. A click on "Resize" finally resizes the image(s) using
 ImageMagick's convert tool.

Package: peony-open-terminal
Architecture: any
Depends: peony-extensions-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Peony plugin for opening terminals in arbitrary local paths
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 peony-open-terminal is a proof-of-concept Peony extension
 which allows you to open a terminal in arbitrary local folders.

Package: peony-sendto
Architecture: any
Depends: peony-extensions-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: pidgin (>= 2.0.0) | gajim,
          python-dbus,
          thunderbird | icedove | evolution (>= 2.28) | claws-mail,
Description: integrates email clients and Pidgin into the Peony file manager
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 The Peony Send To extension provides the Peony file manager with a context
 menu component for quickly sending files to given email addresses, contacts
 on a Pidgin or Gajim instant messaging list, through Thunderbird/Icedove,
 or through Claws Mail.
 .
 Peony Send To also provides the option of compressing the files (tar.bz2,
 tar.gz, or zip) before sending.

Package: peony-share
Architecture: any
Depends: peony-extensions-common (= ${source:Version}),
         samba-common-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Allows one to quickly share a folder from the Peony file manager
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 The Peony share extension allows you to quickly share a folder from the
 Peony file manager without requiring root access. It uses Samba, so your
 folders can be accessed by any operating system.

Package: peony-wallpaper
Architecture: any
Depends: peony-extensions-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Allows one to quickly set a wallpaper from folders
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 Peony Wallpaper allows you to quickly set a wallpaper directly from
 file browser folders.

Package: peony-xattr-tags
Architecture: any
Depends: peony-extensions-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Allows one to view extended attributes
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 Peony xattr tags extension allows you to view file and folder
 extended attributes.

Package: peony-extensions-common
Architecture: all
Depends: ${misc:Depends},
Description: Peony extensions (common files)
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 This package contains the architecture independent files for
 various available Peony extensions.

Package: parchives
Architecture: any
Depends: bzip2 (>= 1.0.1),
         peony-common,
         peony-extensions-common (= ${source:Version}),
         gzip (>= 1.3.2),
         p7zip-full,
         tar (>= 1.13.25),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gvfs,
            unzip,
            xz-utils,
            zip,
Suggests: arj,
          binutils,
          cpio,
          lha,
          lzip,
          lzma,
          lzop,
          ncompress,
          rar,
          rpm2cpio,
          rzip,
          sharutils,
          unace,
          unalz,
          unrar-free | unar | unrar | p7zip-rar,
          zoo,
Description: archive manager for UKUI
 Parchives is an archive manager for the UKUI environment. It allows you to:
 .
  * Create and modify archives.
  * View the content of an archive.
  * View a file contained in an archive.
  * Extract files from the archive.
 .
 Parchives supports the following formats:
  * Tar (.tar) archives, including those compressed with
    gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
    compress (.tar.Z, .taz), lzip (.tar.lz, .tlz), lzop (.tar.lzo, .tzo),
    lzma (.tar.lzma) and xz (.tar.xz)
  * Zip archives (.zip)
  * Jar archives (.jar, .ear, .war)
  * 7z archives (.7z)
  * iso9660 CD images (.iso)
  * Lha archives (.lzh)
  * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
    compress (.Z), lzip (.lz), lzop (.lzo), lzma (.lzma) and xz (.xz)
 .
 Parchives doesn't perform archive operations by itself, but relies on
 standard tools for this.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf

override_dh_missing:
	dh_missing --fail-missing -Xpeony-gksu

override_dh_install:
	rm -rfv debian/tmp/usr/lib/*/peony-sendto/plugins/*.la
	rm -rfv debian/tmp/usr/lib/*/peony/extensions-2.0/*.la
	dh_install

override_dh_installdocs:
	dh_installdocs -A NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--enable-gtk-doc \
		--disable-packagekit \
		--enable-magic \
		--libexecdir=/usr/lib/parchives

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## peony-extensions 1.1.2

=== debian/changelog ===
peony-extensions (1.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #913874)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 16 Nov 2018 15:13:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: peony-extensions
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kylin team <ukui@kylinos.cn>
-Uploaders: liu peng <liupeng@kylinos.cn>,
-           handsome_feng <jianfengli@ubuntukylin.com>,
+Maintainer: Kylin Team <pkg-kylin-devel@lists.alioth.debian.org>
+Uploaders: handsome_feng <jianfengli@ubuntukylin.com>,
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
+               cmake,
                gettext,
                intltool,
                libpeony-extension-dev (>= 1.0.4),
@@ -23,8 +22,31 @@
                mate-common (>= 1.18),
                pkg-config,
                yelp-tools,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://www.ukui.org/
+Vcs-Git: https://github.com/ukui/peony-extensions.git
+Vcs-Browser: https://github.com/ukui/peony-extensions
+
+Package: peony-admin
+Architecture: all
+Depends: ${misc:Depends},
+         python-gi,
+         gir1.2-gtk-3.0,
+         peony,
+         policykit-1,
+         python-caja,
+Recommends: pluma,
+            mate-terminal,
+Description: Add administrative actions to Peony's right-click menu
+ Peony Admin is a simple Python extension for the Peony file manager that
+ adds some administrative actions to the right-click menu:
+ .
+   - Open as Administrator: opens a folder in a new Peony window running
+     with administrator (root) privileges.
+   - Edit as Administrator: opens a file in a Pluma window running with
+     administrator (root) privileges.
+   - Run as Administrator: runs an executable file with administrator
+     (root) privileges inside a MATE Terminal.
 
 Package: peony-image-converter
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 override_dh_auto_configure:
 	# upstream tarball is without configure. autogen.sh will create it
+	cmake -Hpeony-admin -Bpeony-admin/
 	NOCONFIGURE=1 ./autogen.sh
 	dh_auto_configure $(DHFLAGS) -- \
 		--disable-silent-rules \
@@ -27,6 +28,3 @@
 		--disable-packagekit \
 		--enable-magic \
 		--libexecdir=/usr/lib/parchives
-
-get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..

## peony-extensions 1.1.4

=== debian/changelog ===
peony-extensions (1.1.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #945683)
  * Debian/control:
    - Drop peony-admin.
  * Debian/{compat,control}:
    - Use debhelper-compat notation. Bump to DH compat level version 12.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 26 Dec 2019 22:49:18 +0800

peony-extensions (1.1.3-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
    - Fixes FTBFS by dropping unused locally defined g_ptr_array_copy
      which collides with glib function with same name. (Closes: #942339)
  * Debian/control:
    - Drop gupnp build-dependency, disabling upnp sendto support.
      needs porting to gupnp 1.2

  [ handsome_feng ]
  * Debian:
    - Bump standards-vertion to 4.4.0.
    - Bump compat level to 12.
    - Fix the warning of inconsistent license.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 25 Oct 2019 11:30:51 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kylin Team <pkg-kylin-devel@lists.alioth.debian.org>
 Uploaders: handsome_feng <jianfengli@ubuntukylin.com>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                cmake,
                gettext,
@@ -16,37 +16,16 @@
                libgtk-3-dev,
                libjson-glib-dev,
                libmagic-dev,
-               libgupnp-1.0-dev,
                libmate-desktop-dev (>= 1.18),
                libstartup-notification0-dev,
                mate-common (>= 1.18),
                pkg-config,
                yelp-tools,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/peony-extensions.git
 Vcs-Browser: https://github.com/ukui/peony-extensions
-
-Package: peony-admin
-Architecture: all
-Depends: ${misc:Depends},
-         python-gi,
-         gir1.2-gtk-3.0,
-         peony,
-         policykit-1,
-         python-caja,
-Recommends: pluma,
-            mate-terminal,
-Description: Add administrative actions to Peony's right-click menu
- Peony Admin is a simple Python extension for the Peony file manager that
- adds some administrative actions to the right-click menu:
- .
-   - Open as Administrator: opens a folder in a new Peony window running
-     with administrator (root) privileges.
-   - Edit as Administrator: opens a file in a Pluma window running with
-     administrator (root) privileges.
-   - Run as Administrator: runs an executable file with administrator
-     (root) privileges inside a MATE Terminal.
 
 Package: peony-image-converter
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 
 override_dh_auto_configure:
 	# upstream tarball is without configure. autogen.sh will create it
-	cmake -Hpeony-admin -Bpeony-admin/
 	NOCONFIGURE=1 ./autogen.sh
 	dh_auto_configure $(DHFLAGS) -- \
 		--disable-silent-rules \

## peony-extensions 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(peony-extensions VERSION 0.1 LANGUAGES CXX)

include(ExternalProject)

set(peony-extensions-cmake-impl-dir ${PROJECT_SOURCE_DIR}/peony-extensions-cmake)
set(peony-extensions-qmake-impl-dir ${PROJECT_SOURCE_DIR}/peony-extensions-qmake)

ExternalProject_Add(peony-extensions-cmake
  SOURCE_DIR        ${peony-extensions-cmake-impl-dir}
  PREFIX            ${CMAKE_CURRENT_BINARY_DIR}/peony-extensions-cmake
  BUILD_IN_SOURCE   1
  CONFIGURE_COMMAND cmake ${peony-extensions-cmake-impl-dir}
  BUILD_COMMAND     make
  INSTALL_COMMAND   cmake -E echo "skip install step."
  )

ExternalProject_Add(peony-extensions-qmake
  SOURCE_DIR        ${peony-extensions-qmake-impl-dir}
  PREFIX            ${CMAKE_CURRENT_BINARY_DIR}/peony-extensions-qmake
  BUILD_IN_SOURCE   1
  CONFIGURE_COMMAND qmake ${peony-extensions-qmake-impl-dir}
  BUILD_COMMAND     make
  INSTALL_COMMAND   cmake -E echo "skip install step."
  )

=== peony-extensions-cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(peony-qt-extensions-cmake VERSION 0.1 LANGUAGES CXX)

#add_subdirectory(peony-qt-admin)
add_subdirectory(peony-qt-share)

=== peony-extensions-cmake/peony-qt-admin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(peony-qt-admin VERSION 0.1 LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5 COMPONENTS Core Gui Widgets Concurrent REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(PEONY REQUIRED peony)
message(${PEONY_INCLUDE_DIRS})
message(${PEONY_LIBRARIES})

# Configurable paths
set(PKEXEC_PATH "/usr/bin/pkexec" CACHE FILEPATH "pkexec program path.")
set(PEONY_PATH "/usr/bin/peony" CACHE FILEPATH "peony program path.")
set(PLUMA_PATH "/usr/bin/pluma" CACHE FILEPATH "pluma program path.")
set(TERMINAL_PATH "/usr/bin/mate-terminal" CACHE FILEPATH "mate-terminal program path.")

configure_file(org.freedesktop.peony-qt-admin.policy.in
               ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.peony-qt-admin.policy)

include_directories(${PEONY_INCLUDE_DIRS})

file(GLOB_RECURSE QRC_SOURCE_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.qrc)
set(QRC_SOURCE_FILES resources.qrc)
qt5_add_resources(QRC_FILES ${QRC_SOURCE_FILES})

add_library(${PROJECT_NAME} SHARED "admin-menu-plugin.cpp" ${QRC_FILES})

target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Concurrent ${PEONY_LIBRARIES})

install(TARGETS peony-qt-admin DESTINATION /usr/lib/peony-qt-extensions)
install(FILES org.freedesktop.peony-qt-admin.policy DESTINATION /usr/share/polkit-1/actions)

=== peony-extensions-cmake/peony-qt-share/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(peony-qt-share VERSION 0.1 LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(PROJECTNAME peony-qt-admin)

find_package(Qt5 COMPONENTS Core Gui Widgets Concurrent REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(PEONY REQUIRED peony)
message(${PEONY_INCLUDE_DIRS})
message(${PEONY_LIBRARIES})

include_directories(${PEONY_INCLUDE_DIRS})

aux_source_directory(. SRC_FILES)

file(GLOB_RECURSE QRC_SOURCE_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.qrc)
set(QRC_SOURCE_FILES resources.qrc)
qt5_add_resources(QRC_FILES ${QRC_SOURCE_FILES})

add_library(${PROJECT_NAME} SHARED ${SRC_FILES} ${QRC_FILES})

target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Concurrent ${PEONY_LIBRARIES})

install(TARGETS peony-qt-share DESTINATION /usr/lib/peony-qt-extensions)

=== debian/changelog ===
peony-extensions (2.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fix that sometimes failed to open terminal.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 26 Mar 2020 15:19:56 +0800

peony-extensions (2.0.1-1) unstable; urgency=medium

  * New upstream bugfix-only release.
    - Not allowed to open in admin or compress against the computer and
      trash.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Mar 2020 15:34:06 +0800

peony-extensions (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Rewrite the plugins according to the peony-2.0.0.
  * debian/control:
    - Drop peony-image-converter, peony-sendto, peony-wallpaper,
      peony-xattr-tags.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 20 Feb 2020 19:50:04 +0800

peony-extensions (1.1.5-1) unstable; urgency=medium

  * New upstream release.
    - Remove the useless icons.
  * debian/control:
    - Bump standards-version to 4.5.0.
  * debian/peony-wallpaper.lintian-overrides:
    - Add library-not-linked-against-libc override for peony-wallpaper
      extension file.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 18 Feb 2020 20:19:18 +0800

=== debian/control ===
Source: peony-extensions
Section: x11
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>,
Build-Depends: debhelper-compat (= 12),
               cmake,
               pkg-config,
               libglib2.0-dev,
               qt5-qmake,
               qtbase5-dev,
               qtchooser,
               qtbase5-dev-tools,
               libpoppler-qt5-dev,
               libpeony-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ukui/peony-extensions
Vcs-Git: https://github.com/ukui/peony-extensions.git
Vcs-Browser: https://github.com/ukui/peony-extensions

Package: peony-share
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeony2,
         samba-common-bin
Description: Allows one to quickly share a folder from the Peony file manager
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 The Peony share extension allows you to quickly share a folder from the
 Peony file manager without requiring root access. It uses Samba, so your
 folders can be accessed by any operating system.

Package: parchives
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeony2,
         engrampa
Description: Peony qt plugin for file compress and uncompress
 Parchives is an archive manager for the UKUI environment. You can use
 this plugin to compress or uncompress file or folder.
 .
 This package adds extended functionality to the Peony file manager.

Package: peony-open-terminal
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeony2,
         mate-terminal
Description: Peony plugin for opening terminals in arbitrary local paths
 Peony is the official file manager for the UKUI desktop. This
 package adds extended functionality to the Peony file manager.
 .
 peony-open-terminal is a proof-of-concept Peony extension
 which allows you to open a terminal in arbitrary local folders.

## peony-extensions 3.0.1

=== debian/changelog ===
peony-extensions (3.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 26 Sep 2020 20:49:59 +0800

peony-extensions (3.0.0-2) unstable; urgency=medium

  * No-change source only upload

 -- Aron Xu <aron@debian.org>  Wed, 09 Sep 2020 14:47:30 +0800

peony-extensions (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Add peony-extension-computer-view, peony-set-wallpaper,
      peony-admin, peony-extensions.
    - Remove hardcodes dependency on libpeony. (Closes: #968661)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 20 Aug 2020 10:06:58 +0800

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
+           He Meihong <hemeihong@kylinos.cn>
 Build-Depends: debhelper-compat (= 12),
                cmake,
                pkg-config,
@@ -13,7 +14,8 @@
                qtchooser,
                qtbase5-dev-tools,
                libpoppler-qt5-dev,
-               libpeony-dev
+               libpeony-dev,
+               libgsettings-qt-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ukui/peony-extensions
@@ -24,8 +26,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libpeony2,
-         samba-common-bin
+         samba-common-bin,
+         samba
 Description: Allows one to quickly share a folder from the Peony file manager
  Peony is the official file manager for the UKUI desktop. This
  package adds extended functionality to the Peony file manager.
@@ -38,7 +40,6 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libpeony2,
          engrampa
 Description: Peony qt plugin for file compress and uncompress
  Parchives is an archive manager for the UKUI environment. You can use
@@ -50,7 +51,6 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libpeony2,
          mate-terminal
 Description: Peony plugin for opening terminals in arbitrary local paths
  Peony is the official file manager for the UKUI desktop. This
@@ -58,3 +58,53 @@
  .
  peony-open-terminal is a proof-of-concept Peony extension
  which allows you to open a terminal in arbitrary local folders.
+
+Package: peony-extension-computer-view
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Peony plugin for displaying computer:/// with more information
+ Peony is the official file manager for the UKUI desktop. This
+ package adds extended functionality to the Peony file manager.
+ .
+ peony-extionsion-computer-view is a proof-of-concept Peony extension
+ which allows user browsering computer:/// with more information, which
+ not provided in icon view and list view.
+
+Package: peony-set-wallpaper
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Peony plugin for right click a picture to set as wallpaper
+ Peony is the official file manager for the UKUI desktop. This
+ package adds extended functionality to the Peony file manager.
+ .
+ In addition to set wallpaper in ukui-control-center, you can select a
+ picture and right click to quickly set as wallpaper.
+
+Package: peony-admin
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         policykit-1
+Description: Peony plugin for open files or directories as admin
+ Peony is the official file manager for the UKUI desktop. This
+ package adds extended functionality to the Peony file manager.
+ .
+ peony-extionsion-computer-view is a proof-of-concept Peony extension
+ which allows user open files or directories with higher permission.
+
+Package: peony-extensions
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         parchives,
+         peony-share,
+         peony-open-terminal,
+         peony-extension-computer-view,
+         peony-admin,
+         peony-set-wallpaper
+Description: Peony qt extensions
+ Peony is the official file manager for the UKUI desktop. This
+ package is a metapackage, which adds extended functionality to
+ the Peony file manager.

## peony-extensions 3.0.2

=== debian/changelog ===
peony-extensions (3.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix the build errors. (Closes: #975139)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 30 Nov 2020 14:08:27 +0800

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,7 @@
 Package: peony-extension-computer-view
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Peony plugin for displaying computer:/// with more information
  Peony is the official file manager for the UKUI desktop. This
  package adds extended functionality to the Peony file manager.
@@ -75,6 +75,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         qt5-image-formats-plugins
 Description: Peony plugin for right click a picture to set as wallpaper
  Peony is the official file manager for the UKUI desktop. This
  package adds extended functionality to the Peony file manager.

## peony-extensions 3.2.4

=== debian/changelog ===
peony-extensions (3.2.4-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:58:27 +0000

peony-extensions (3.2.4-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:21:47 +0000

peony-extensions (3.2.4-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:37:05 +0000

peony-extensions (3.2.4-1ubuntu1) jammy; urgency=medium

  * d/patches: add fix-crash-while-open-computer-viewer.patch.
    (LP: #1969109)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 15 Apr 2022 14:13:57 +0800

peony-extensions (3.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 23 Feb 2022 09:00:39 +0800

peony-extensions (3.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 27 Sep 2021 14:58:03 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: peony-extensions
 Section: x11
 Priority: optional
-Maintainer: Kylin Team <team+kylin@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
            He Meihong <hemeihong@kylinos.cn>
@@ -15,8 +16,10 @@
                qtbase5-dev-tools,
                libpoppler-qt5-dev,
                libpeony-dev,
-               libgsettings-qt-dev
-Standards-Version: 4.5.0
+               libgsettings-qt-dev,
+               libudisks2-dev,
+               libnotify-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ukui/peony-extensions
 Vcs-Git: https://github.com/ukui/peony-extensions.git
@@ -40,7 +43,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         engrampa
+Recommends: engrampa
 Description: Peony qt plugin for file compress and uncompress
  Parchives is an archive manager for the UKUI environment. You can use
  this plugin to compress or uncompress file or folder.
@@ -51,7 +54,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         mate-terminal
+Recommends: mate-terminal
 Description: Peony plugin for opening terminals in arbitrary local paths
  Peony is the official file manager for the UKUI desktop. This
  package adds extended functionality to the Peony file manager.
@@ -83,28 +86,28 @@
  In addition to set wallpaper in ukui-control-center, you can select a
  picture and right click to quickly set as wallpaper.
 
-Package: peony-admin
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         policykit-1
-Description: Peony plugin for open files or directories as admin
- Peony is the official file manager for the UKUI desktop. This
- package adds extended functionality to the Peony file manager.
- .
- peony-extionsion-computer-view is a proof-of-concept Peony extension
- which allows user open files or directories with higher permission.
+#Package: peony-admin
+#Architecture: any
+#Depends: ${misc:Depends},
+#         ${shlibs:Depends},
+#         policykit-1
+#Description: Peony plugin for open files or directories as admin
+# Peony is the official file manager for the UKUI desktop. This
+# package adds extended functionality to the Peony file manager.
+# .
+# peony-extionsion-computer-view is a proof-of-concept Peony extension
+# which allows user open files or directories with higher permission.
 
 Package: peony-extensions
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          parchives,
-         peony-share,
          peony-open-terminal,
          peony-extension-computer-view,
-         peony-admin,
+#         peony-admin,
          peony-set-wallpaper
+Recommends: peony-share, 
 Description: Peony qt extensions
  Peony is the official file manager for the UKUI desktop. This
  package is a metapackage, which adds extended functionality to

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := qt5

%:
	dh $@
